CREATE OR REPLACE AND RESOLVE JAVA SOURCE NAMED "SRC_FILESEND" AS
import java.lang.*;
import java.io.*;
import java.net.*;

public class FileSend 
{
  public static void fileSend(String myFile, String host, int port) throws Exception
  {
    int length;
    byte buffer[] = new byte[1024];
    File binaryFile = new File(myFile);
    FileInputStream inpStream = new FileInputStream(myFile);
    Socket sock = new Socket(host, port); 
    DataOutputStream dos = new DataOutputStream( sock.getOutputStream()); 
    DataInputStream dis = new DataInputStream( sock.getInputStream()); 

    while ((length = inpStream.read(buffer)) != -1) {
      dos.write(buffer, 0, length);
      dos.flush();
    }
    
    sock.close(); 
    inpStream.close();
  }
};


CREATE OR REPLACE PROCEDURE "PROC_FILESEND" (myFile varchar2, Hostname2 varchar2, Port PLS_INTEGER)
AS LANGUAGE JAVA
NAME 'FileSend.fileSend (java.lang.String, java.lang.String, int)';


-- Windows
BEGIN
  PROC_FILESEND ('c:\export.zip', '192.168.253.1', 4445);
END;

-- *nix
BEGIN
  PROC_FILESEND ('./dbs/export.zip', '192.168.253.1', 4445);
END;
